# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Transparently store multi-level data in DBM
Name:		perl-MLDBM
Version:	2.04
Release:	3.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/MLDBM/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/MLDBM-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u -n})
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(FreezeThaw)
BuildRequires:	perl(ExtUtils::MakeMaker), perl(FreezeThaw), perl(Test::More)
BuildArch:	noarch

%description
This module can serve as a transparent interface to any TIEHASH package that is
required to store arbitrary perl data, including nested references. Thus, this
module can be used for storing references and other arbitrary data within DBM
databases.

%prep
%setup -q -n MLDBM-%{version}

# Fix line endings for documentation
%{__sed} -i -e 's/\r$//' README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* Changes
%{perl_vendorlib}/MLDBM/
%{perl_vendorlib}/MLDBM.pm
%{_mandir}/man3/MLDBM.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 2.04-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 2.04-2
- Fix dist tag to work with RHEL6 Beta

* Mon Mar  8 2010 Paul Howarth <paul@city-fan.org> 2.04-1
- Update to 2.04 (fix for old EU::MM)
- Drop upstreamed patch

* Mon Mar  1 2010 Paul Howarth <paul@city-fan.org> 2.03-1
- Update to 2.03 (t/storable_dbfile.t fixed, switch to Module::Build)
- Upstream distribution is back to being a tarball
- Drop upstreamed patch
- Add new patch to work around Module::Build issues on old distributions

* Mon Feb 22 2010 Paul Howarth <paul@city-fan.org> 2.02-1
- Update to 2.02 (new tests added, distribution upgraded)
- New upstream maintainer -> new source URL
- Upstream distribution is now a zipfile - ugh!
- Add buildreq perl(Test::More)
- Add patch to fix t/storable_dbfile.t for old Test::More versions
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Sep 21 2009 Paul Howarth <paul@city-fan.org> 2.01-7
- Define RPM macros in global scope

* Sat Nov  1 2008 Paul Howarth <paul@city-fan.org> 2.01-6
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 2.01-5
- Fix dist tag for development releases and Fedora 7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- BuildRequire perl(ExtUtils::MakeMaker)
- Define %%{__id_u} in a more portable way

* Tue Jul 12 2005 Paul Howarth <paul@city-fan.org> 2.01-4
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Tue May  5 2005 Paul Howarth <paul@city-fan.org> 2.01-3
- Tidy up spec file

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 2.01-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Wed Feb 18 2004 Paul Howarth <paul@city-fan.org> 2.01-1
- Initial build
